<?php
/**
Copyright 2011-2020 Nick Korbel

This file is part of Booked Scheduler.

Booked Scheduler is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Booked Scheduler is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Booked Scheduler.  If not, see <http://www.gnu.org/licenses/>.
*/

class AttributeFormElement
{
	/**
	 * @var int
	 */
	public $Id;

	/**
	 * @var mixed
	 */
	public $Value;

	public function __construct($id, $value)
	{
		$this->Id = $id;
		$this->Value = $value;
	}
}

class AttributeFormParser
{
	/**
	 * @static
	 * @param $attributes string|string[]|null The result of $this->GetForm(FormKeys::ATTRIBUTE_PREFIX)
	 * @return array|AttributeFormElement[]
	 */
	public static function GetAttributes($attributes)
	{
		if (is_array($attributes))
		{
			$af = array();

			foreach ($attributes as $id => $value)
			{
				$af[] = new AttributeFormElement($id, $value);
			}

			return $af;
		}

		return array();
	}
}